# Managed by CHEF PROJECT COOKBOOK
# Minimal Sphinx configuration for Bitrix project

searchd
{
        listen                    = <%= @sphinx_general_listen %>
        listen                    = <%= @sphinx_mysqlproto_listen %>:mysql41
        log                       = <%= @sphinx_main_log %>
        query_log                 = <%= @sphinx_query_log %>
        pid_file                  = <%= @sphinx_run_file %>
        binlog_path               = <%= @sphinx_lib_dir %>

        read_timeout              = 5
        max_children              = 30
        seamless_rotate           = 1
        preopen_indexes           = 1
        unlink_old                = 1
        workers                   = threads # for RT to work
        binlog_max_log_size       = 512M
  #  2 - flush every transaction, sync every second. Good performance, and every committed transaction is guaranteed to be saved in case of daemon crash.
  #  1 - flush and sync every transaction. Worst performance, but every committed transaction data is guaranteed to be saved
        binlog_flush              = 2
        rt_flush_period           = 3600
}
